Page MenuHomePhabricator

Add subpageOf field to advancedSearch form
Closed, ResolvedPublic3 Story Points

Description

Motivation
The subpageof keyword allows you to find subpages of a specified page, e.g. archived user pages.
We want to support this functionality through the advancedSearch form

Mock
The field should be located as shown in the mock, with the label called "Subpages of this page:"

Info i text

subpageOf:

TEXT FOR COPYING:

Subpages of this page :
Description: Searches for pages that are subpages of this page.
Be aware of the following:

  • You can only search for subpages of one page at a time.
  • Don’t forget to enable the namespaces you want to limit your search to in the namespace filter.
  • Do not include the namespace in front of the page name like this: Wikipedia:Redirect.

Help page: subpageof
Syntax-Equivalent in the normal search: subpageof: followed by a page name like subpageof:Redirect. Use double quotes if the parent page contains spaces: subpageof:"Requests for comment".


Acceptance Criteria

  • The field and label are located as described
  • The whole field is for one page name, no pills are created
  • There are quotation marks around the field if necessary, so if I enter "Lea Voget (WMDE)" into the field, something is shown
  • When entering a page name into that field, subpages are shown in the result list
  • The info i is layouted equally to all existing info texts on advancedSearch, and the contents is what is described above
  • The usage of subpageof should be tracked and added to the schema (per @Lea_WMDE)

Details

Related Gerrit Patches:
mediawiki/extensions/AdvancedSearch : mastersubpageof: add to tracking
mediawiki/extensions/AdvancedSearch : mastersubpageof: Add ability to search for subpages
mediawiki/extensions/AdvancedSearch : masterbrowser tests: use lib to decode urls parts

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added projects: TCB-Team, Design. · View Herald TranscriptFeb 14 2018, 10:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE triaged this task as Normal priority.Feb 14 2018, 10:58 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)Feb 14 2018, 3:02 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 3.Feb 14 2018, 3:06 PM
Lea_WMDE updated the task description. (Show Details)
Pablo-WMDE updated the task description. (Show Details)Feb 16 2018, 12:17 PM

Previous implementation effort (via prefix:) was removed in https://gerrit.wikimedia.org/r/#/c/370207/

Pablo-WMDE updated the task description. (Show Details)Feb 16 2018, 12:59 PM

Change 411228 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] [WIP] subpageof: Add ability to search for subpages

https://gerrit.wikimedia.org/r/411228

Charlie_WMDE updated the task description. (Show Details)Feb 16 2018, 2:43 PM

Change 412654 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] browser tests: use lib to decode urls parts

https://gerrit.wikimedia.org/r/412654

Change 412654 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] browser tests: use lib to decode urls parts

https://gerrit.wikimedia.org/r/412654

Waiting for translation of info text (advancedsearch-help-subpageof is currently just a made up placeholder).

According to @Charlie_WMDE UX work is done from UX team side, so we unsubscribe.

Lea_WMDE updated the task description. (Show Details)

"Be aware of the following: " contains instructions for quoting that are relevant when building a query by hand, but not when using AdvancedSearch (we automatically add quotes when there are spaces - as per AC). The same happens for most all fields (optionalQuotes()) but we don't mention it in their help texts. Should the help text still contain this remark? @Lea_WMDE

@Pablo-WMDE No, sorry. I had not thought of that. I've updated the mock in the description and removed some spelling mistakes :/

Pablo-WMDE removed Pablo-WMDE as the assignee of this task.Feb 20 2018, 1:10 PM
Pablo-WMDE moved this task from Doing to Review on the WMDE-Fundraising-Sprint-17 board.
Pablo-WMDE added a subscriber: Pablo-WMDE.
Charlie_WMDE updated the task description. (Show Details)Feb 20 2018, 1:31 PM

Change 411228 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] subpageof: Add ability to search for subpages

https://gerrit.wikimedia.org/r/411228

Pablo-WMDE moved this task from Deploy to Test to Test on the WMDE-Fundraising-Sprint-17 board.EditedFeb 21 2018, 10:37 AM

Deployed to test:
https://tools.wmflabs.org/wmde-uca-test/core/index.php?advancedSearchOption-original=&search=subpageof%3ATestpage&title=Spezial:Suche&profile=advanced&fulltext=1&advancedSearchOption-filetype=&advancedSearch-current=%7B%22options%22%3A%7B%22subpageof%22%3A%22Testpage%22%7D%2C%22namespaces%22%3A%5B%220%22%5D%7D&ns0=1&searchToken=5wrjbdkacf4laqkinr9cmpgxs

Updated CirrusSearch & Elastica to latest versions (now installed via git) in the process. Previous (tar ball) installations from 2017-08-08 were - hopefully never needed - backed up in CirrusSearch-20180221.tar.gz and Elastica-20180221.tar.gz respectively.

Pablo-WMDE updated the task description. (Show Details)
Pablo-WMDE moved this task from Test to Doing on the WMDE-Fundraising-Sprint-17 board.

Added the tracking AC.

Change 413177 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] subpageof: add to tracking

https://gerrit.wikimedia.org/r/413177

Pablo-WMDE removed Pablo-WMDE as the assignee of this task.Feb 22 2018, 8:56 AM
Pablo-WMDE moved this task from Doing to Review on the WMDE-Fundraising-Sprint-17 board.

Change 413177 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] subpageof: add to tracking

https://gerrit.wikimedia.org/r/413177

Charlie_WMDE updated the task description. (Show Details)Feb 22 2018, 5:22 PM

@Charlie_WMDE We see the diff in the mock image id linked in the description. I tried to visually compare them but am uncertain. The quality improved but was there also a relevant change to the content?

@Pablo-WMDE There are also some changes in the content but only ones that are related to previously discussed tickets such as this T181583 and this T173736 for example, where I've updated the name of the default selection in the drop downs and I added the missing checkboxes in the namespace field. I will point out all changes next time. Thank you for pointing this out.

@GoranSMilovanovic yes, but it's not live yet and there will be another keyword soon, so we can also wait for the completion of both.

Lea_WMDE updated the task description. (Show Details)Feb 26 2018, 1:58 PM

I did not manage to produce a search result, but searching for subpages of Leav with all namespaces should have resulted in at least https://tools.wmflabs.org/wmde-uca-test/core/index.php?title=Benutzer:Leav/testsubpage

Pablo-WMDE added a comment.EditedFeb 26 2018, 2:48 PM

@Lea_WMDE What makes you unhappy with the example I linked further up when this was first deployed to test?

https://tools.wmflabs.org/wmde-uca-test/core/index.php?advancedSearchOption-original=&search=subpageof%3ATestpage&title=Spezial:Suche&profile=advanced&fulltext=1&advancedSearchOption-filetype=&advancedSearch-current=%7B%22options%22%3A%7B%22subpageof%22%3A%22Testpage%22%7D%2C%22namespaces%22%3A%5B%220%22%5D%7D&ns0=1&searchToken=5wrjbdkacf4laqkinr9cmpgxs

If pages you just created are now showing this is probably rooted in a lack of (re-)indexing on uca but not within the AdvancedSearch domain.

On second thought... I think you fell victim to a UX problem (indicated in the i-overlay). The namespaces can not be part of the subpage field ("User:", because it is already part of the NS field.
The following, however, works with the current indexing...
https://tools.wmflabs.org/wmde-uca-test/core/index.php?advancedSearchOption-original=&search=subpageof%3ALeav&title=Spezial:Suche&profile=advanced&fulltext=1&advancedSearchOption-filetype=&advancedSearch-current=%7B%22options%22%3A%7B%22subpageof%22%3A%22Leav%22%7D%2C%22namespaces%22%3A%5B%222%22%5D%7D&ns2=1&searchToken=82s9q1kpotjxmkahagulg3utg

it's working now :) I think I was too fast looking for it after I had created it.

Lea_WMDE added a subscriber: Addshore.

and FYI: the train was delayed and so they deployed it on Friday night our time, which means this is already live (and unfortunately the translations got cut off, so @Addshore will backport the translation patch if possible

So, I'm not sure why https://wikitech.wikimedia.org/wiki/LocalisationUpdate doesn't seem to be working, which should automaticaly update the translations.

I backported the i18n files and ran a full scap but looking at https://de.wikipedia.org/w/index.php?search=&title=Spezial%3ASuche&go=Artikel&uselang=de the old en only version still exists.

In the future It might be an idea to aim to merge patches for technical wishes that we want translations in de for just after a previous branch cut, this would allow them to have a whole week to pick up translations from translate wiki before the next branch cut.

@Addshore but will the english text be updated to German on Thursday with the train then?

In the future It might be an idea to aim to merge patches for technical wishes that we want translations in de for just after a previous branch cut, this would allow them to have a whole week to pick up translations from translate wiki before the next branch cut.

Agreed.

@Addshore @Lea_WMDE translation files seem to have updated now!

Lea_WMDE closed this task as Resolved.Feb 28 2018, 2:08 PM
Lea_WMDE claimed this task.